openSUSE Security Update : libofx (openSUSE-2018-820)

Medium Nessus Plugin ID 111585

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for libofx fixes the following issues :

The following security vulnerabilities have been addressed :

- CVE-2017-2920: Fixed an exploitable buffer overflow in the tag parsing functionality, which could result in an out of bounds write and could be triggered via a specially crafted OFX file (boo#1061964)

- CVE-2017-2816: Fixed another buffer overflow in the tag parsing functionality, which could result in an stack overflow and could be triggered via a specially crafted OFX file (boo#1058673)

Solution

Update the affected libofx packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1058673

https://bugzilla.opensuse.org/show_bug.cgi?id=1061964

Plugin Details

Severity: Medium

ID: 111585

File Name: openSUSE-2018-820.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/08/08

Modified: 2018/08/08

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libofx, p-cpe:/a:novell:opensuse:libofx-debuginfo, p-cpe:/a:novell:opensuse:libofx-debugsource, p-cpe:/a:novell:opensuse:libofx-devel, p-cpe:/a:novell:opensuse:libofx6, p-cpe:/a:novell:opensuse:libofx6-debuginfo, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/08/07

Reference Information

CVE: CVE-2017-2816, CVE-2017-2920